# Class ExpandRowContentDirective<Data>

#### Type Parameters

- Data extends Record<string, any>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:15

#####
Index

### Constructors

constructor

### Properties

template

### Methods

ngTemplateContextGuard

##
Constructors

### constructor

- new ExpandRowContentDirective<Data extends Record<string, any>>(
  template: TemplateRef<ExpandCellContentDirectiveContext<Data>>,
  ): ExpandRowContentDirective<Data>

  #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - template: TemplateRef<ExpandCellContentDirectiveContext<Data>>

  #### Returns ExpandRowContentDirective<Data>

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:23

##
Properties

### `Readonly` template

template: TemplateRef<ExpandCellContentDirectiveContext<Data>>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:25

##
Methods

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard<Data extends Record<string, any>>(
  dir: ExpandRowContentDirective<Data>,
  ctx: any,
  ): ctx is ExpandCellContentDirectiveContext<Data>

  #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - dir: ExpandRowContentDirective<Data>
  - ctx: any

  #### Returns ctx is ExpandCellContentDirectiveContext<Data>

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:18